Bug 1441841 (python-camel) - Review Request: python-camel - Python serialization for adults
Summary: Review Request: python-camel - Python serialization for adults
Keywords:
Status: CLOSED ERRATA
Alias: python-camel
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1441843
TreeView+ depends on / blocked
 
Reported: 2017-04-12 21:08 UTC by greg.hellings
Modified: 2017-05-05 13:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-05 13:34:05 UTC
Type: ---
jdieter: fedora-review+


Attachments (Terms of Use)

Description greg.hellings 2017-04-12 21:08:36 UTC
Spec URL: https://fedorapeople.org/~greghellings/python-camel/python-camel.spec
SRPM URL: https://fedorapeople.org/~greghellings/python-camel/python-camel-0.1-1.fc26.src.rpm
Description: Camel is a library that lets you describe how to serialize
your objects in YAML - and refuses to serialize them if
you don't.
Fedora Account System Username: greghellings

Comment 1 Jonathan Dieter 2017-04-14 10:06:58 UTC
I'll take this

Comment 2 Jonathan Dieter 2017-04-14 10:41:21 UTC
At first glance, a couple of things:

Why are you using the ISC+ license tag?  It's not recognized in Fedora, and I would think using the ISC tag would be the right fit.

Also, can you please justify your patch as required by https://fedoraproject.org/wiki/Packaging:Guidelines#Patch_Guidelines

Comment 3 greg.hellings 2017-04-15 04:22:10 UTC
Oops, I've corrected the license line and added a comment about where the patch file comes from.

SRPM: https://fedorapeople.org/~greghellings/python-camel/python-camel-0.1-1.fc26.src.rpm

Comment 4 Jonathan Dieter 2017-04-18 18:38:39 UTC
Package Review
==============
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[!]: Package complies to the Packaging Guidelines

     The Release tag wasn't bumped on the last build, though it was in the
     changelog

[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

     Technically this is passed because the source code doesn't include the
     license, but upstream has since added the file LICENSE to git.  After
     reading
     https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text,
     I think that we should include the upstream git version.  Alternatively,
     it might make more sense to just package the latest git snapshot since
     the package doesn't seem to see a lot of changes

[?]: License file installed when any subpackage combination is installed.
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license. 
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Package contains systemd file(s) if in need.

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
[-]: A package which is used by another package via an egg interface should
     provide egg info.

===== SHOULD items =====

Generic:
[!]: %check is present and all tests pass.

     %check is present, but it seems to be telling me that no tests were run
     From build.log:
     + /usr/bin/python3 setup.py test
     Python detected LC_CTYPE=C: LC_ALL & LANG coerced to C.UTF-8 (set another
       locale or PYTHONCOERCECLOCALE=0 to disable this locale coercion
       behaviour).
     running test
     running egg_info
     writing camel.egg-info/PKG-INFO
     writing dependency_links to camel.egg-info/dependency_links.txt
     writing requirements to camel.egg-info/requires.txt
     writing top-level names to camel.egg-info/top_level.txt
     reading manifest file 'camel.egg-info/SOURCES.txt'
     writing manifest file 'camel.egg-info/SOURCES.txt'
     running build_ext
     ----------------------------------------------------------------------
     Ran 0 tests in 0.000s
     OK

[!]: Relevant documentation should be included

     The source rpm contains README.txt from upstream git, but it's never
     actually installed as documentation

[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[-]: Fully versioned dependency in subpackages if applicable.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
------- 
Checking: python2-camel-0.1-1.fc27.noarch.rpm
          python3-camel-0.1-1.fc27.noarch.rpm
          python-camel-0.1-1.fc27.src.rpm
python2-camel.noarch: W: no-documentation
python3-camel.noarch: W: no-documentation
python-camel.src:17: W: macro-in-comment %check
3 packages and 0 specfiles checked; 0 errors, 3 warnings.


Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python2-camel.noarch: W: no-documentation
python3-camel.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 5 greg.hellings 2017-04-19 16:16:51 UTC
Hmm, yeah. The tests aren't run through the normal mechanism. I've updated that to run them directly, included README.txt, and bumped the release version. I've also reached out to the upstream maintainer to see about getting a 0.1.1 release, or if they'd allow me to execute that release. I'll either move forward with a 0.1.1 release or package git if I don't hear back in a day or two. I'll upload new files at that time.

Comment 6 greg.hellings 2017-04-21 14:28:28 UTC
OK, upstream did release a 0.1.1 which includes all the necessary fixes, if I use the original source tarball from GitHub.

SPEC: https://fedorapeople.org/~greghellings/python-camel/python-camel.spec
SRPM: https://fedorapeople.org/~greghellings/python-camel/python-camel-0.1.1-1.fc26.src.rpm

Comment 7 Jonathan Dieter 2017-04-22 09:08:55 UTC
You're still missing the %license tag, but other than that, everything looks great.  Once you add the %license, this package is APPROVED!

Comment 8 Gwyn Ciesla 2017-05-01 14:12:37 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-camel

Comment 9 Jonathan Dieter 2017-05-01 14:27:45 UTC
Once this gets built in Rawhide and F26, I'll go ahead and start on #1441843

Comment 10 Fedora Update System 2017-05-01 15:38:39 UTC
python-camel-0.1.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f96459065e

Comment 11 Fedora Update System 2017-05-02 06:37:42 UTC
python-camel-0.1.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f96459065e

Comment 12 Fedora Update System 2017-05-05 13:34:05 UTC
python-camel-0.1.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.